Package org.apache.sling.scripting.sightly.java.compiler

## Class GlobalShadowCheckBackendCompiler

- java.lang.Object
- - org.apache.sling.scripting.sightly.java.compiler.GlobalShadowCheckBackendCompiler

All Implemented Interfaces:
  `org.apache.sling.scripting.sightly.compiler.backend.BackendCompiler`

    public final class GlobalShadowCheckBackendCompiler
    extends Object
    implements org.apache.sling.scripting.sightly.compiler.backend.BackendCompiler

Wrapping `BackendCompiler` that checks for global bindings shadowing.

### Constructor Summary

Constructors
`GlobalShadowCheckBackendCompiler​(org.apache.sling.scripting.sightly.compiler.backend.BackendCompiler baseBackend, Set<String> globals)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompilationOutput` `build​(ClassInfo classInfo)`
`void` `handle​(org.apache.sling.scripting.sightly.compiler.commands.CommandStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GlobalShadowCheckBackendCompiler

    public GlobalShadowCheckBackendCompiler​(org.apache.sling.scripting.sightly.compiler.backend.BackendCompiler baseBackend,
                                            Set<String> globals)

### Method Detail

#### handle

    public void handle​(org.apache.sling.scripting.sightly.compiler.commands.CommandStream stream)

Specified by:
  `handle` in interface `org.apache.sling.scripting.sightly.compiler.backend.BackendCompiler`

#### build

    public CompilationOutput build​(ClassInfo classInfo)